package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.math.BigDecimal;

/**
 * 支付记录对象 mall_pay_log
 *
 * @author LCL
 * @date 2023-10-26
 */
public class MallPayLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 支付记录主键ID */
    private Long payId;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    /** 指南编号 */
    @Excel(name = "指南编号")
    private Long guideId;

    /** 微信官方支付单号 */
    @Excel(name = "微信官方支付单号")
    private String outTradeNo;

    /** 状态:：0-未支付，1-已支付 */
    @Excel(name = "状态:：0-未支付，1-已支付")
    private String status;

    /** 支付类型:：0-订单支付，1-会员支付 */
    @Excel(name = "支付类型:：0-订单支付，1-会员支付")
    private String type;

    /** 金额 */
    private BigDecimal price;

    /** 相关资源ID */
    @Excel(name = "相关资源ID")
    private String resId;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 修改时间 */
    @Excel(name = "修改时间")
    private String updateAt;

    /** 删除标记：0-正常，1-删除 */
    private String delFlag;

    public void setPayId(Long payId)
    {
        this.payId = payId;
    }

    public Long getPayId()
    {
        return payId;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setGuideId(Long guideId)
    {
        this.guideId = guideId;
    }

    public Long getGuideId()
    {
        return guideId;
    }
    public void setOutTradeNo(String outTradeNo)
    {
        this.outTradeNo = outTradeNo;
    }

    public String getOutTradeNo()
    {
        return outTradeNo;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public void setResId(String resId)
    {
        this.resId = resId;
    }

    public String getResId()
    {
        return resId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setCreateAt(String createAt)
    {
        this.createAt = createAt;
    }

    public String getCreateAt()
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt)
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt()
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("payId", getPayId())
            .append("userId", getUserId())
            .append("guideId", getGuideId())
            .append("outTradeNo", getOutTradeNo())
            .append("status", getStatus())
            .append("type", getType())
            .append("price", getPrice())
            .append("resId", getResId())
            .append("remarks", getRemarks())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
